<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

# Third-Party technologies

The following third-party technologies are used by Egeria under the terms of the licenses listed
for each one.

## Third party libraries and frameworks

- [Apache Avro](https://github.com/apache/avro) licensed under [Apache License 2.0](https://github.com/apache/avro/blob/master/LICENSE.txt)
- Apache Commons
    - [commons-codec](https://github.com/apache/commons-codec) licensed under [Apache License 2.0](https://github.com/apache/commons-codec/blob/master/LICENSE.txt)
    - [commons-collections](https://github.com/apache/commons-collections) licensed under [Apache License 2.0](https://github.com/apache/commons-collections/blob/master/LICENSE.txt)
    - [commons-io](https://github.com/apache/commons-io) licensed under [Apache License 2.0](https://github.com/apache/commons-io/blob/master/LICENSE.txt)
    - [commons-lang](https://github.com/apache/commons-lang) licensed under [Apache License 2.0](https://github.com/apache/commons-lang/blob/master/LICENSE.txt)
    - [commons-logging](https://github.com/apache/commons-logging) licensed under [Apache License 2.0](https://github.com/apache/commons-logging/blob/master/LICENSE.txt)
- [Apache Derby](https://github.com/apache/derby) licensed under [Apache License 2.0](https://github.com/apache/derby/blob/trunk/LICENSE)
- Apache Hadoop
    - [hadoop-common](https://github.com/apache/hadoop-common) licensed under [Apache License 2.0](https://search.maven.org/artifact/org.apache.hadoop/hadoop-common/3.2.1/jar)
- [Apache Kafka](https://github.com/apache/kafka) clients licensed under [Apache License 2.0](https://github.com/apache/kafka/blob/trunk/LICENSE)
- [Apache Lucene](https://github.com/apache/lucene-solr) licensed under [Apache License 2.0](https://search.maven.org/artifact/org.apache.lucene/lucene-analyzers-common/8.2.0/jar)
- [Apache Tinkerpop](https://github.com/apache/tinkerpop) gremlin-core, tinkergraph-gremlin licensed under [Apache License 2.0](https://github.com/apache/tinkerpop/blob/master/LICENSE)
- [Apache Tomcat](https://github.com/apache/tomcat) tomcat-embed-core licensed under [Apache License 2.0](https://github.com/apache/tomcat/blob/master/LICENSE)
- [DataStax Java Driver for Apache Cassandra](https://github.com/datastax/java-driver) licensed under [Apache License 2.0](https://github.com/datastax/java-driver/blob/4.x/LICENSE)
- FasterXML
    - [jackson-core](https://github.com/FasterXML/jackson-core) licensed under [Apache License 2.0](https://github.com/FasterXML/jackson-core/blob/master/LICENSE)
    - [jackson-annotations](https://github.com/FasterXML/jackson-annotations) licensed under [Apache License 2.0](https://github.com/FasterXML/jackson-annotations/blob/master/LICENSE)
    - [jackson-databind](https://github.com/FasterXML/jackson-databind) licensed under [Apache License 2.0](https://github.com/FasterXML/jackson-databind/blob/master/LICENSE)
- [Google Guava](https://github.com/google/guava) licensed under [Apache License 2.0](https://github.com/google/guava/blob/master/COPYING)
- [Google Tink](https://github.com/google/tink) licensed under [Apache License 2.0](https://github.com/google/tink/blob/master/LICENSE)
- [h2](https://h2database.com) licensed under [Eclipse Public License 1.0](https://h2database.com/html/license.html)
- [JanusGraph](https://github.com/JanusGraph/janusgraph) janusgraph-core, janusgraph-cql, janusgraph-cassandra, janusgraph-es, janusgraph-berkeleyje, janusgraph-lucene licensed under [Apache License 2.0](https://github.com/JanusGraph/janusgraph/blob/master/LICENSE.txt)  
 - Eclipse EE4J / Jakarta Project
    - [beanvalidation-api](https://github.com/eclipse-ee4j/beanvalidation-api) licensed under [Apache License 2.0](https://github.com/eclipse-ee4j/beanvalidation-api/blob/master/license.txt)
    - [common-annotations-api](https://github.com/eclipse-ee4j/common-annotations-api) licensed under [Eclipse Public License 2.0](https://github.com/eclipse-ee4j/common-annotations-api/blob/master/LICENSE.md)
    - [persistence-api](https://github.com/eclipse-ee4j/jpa-api) licensed under [Eclipse Public License 1.0 / 2.0](https://github.com/eclipse-ee4j/jpa-api/blob/master/LICENSE.md)
- [jjwt](https://github.com/jwtk/jjwt) licensed under [Apache License 2.0](https://github.com/jwtk/jjwt/blob/master/LICENSE)
- [Joda-Time](https://github.com/JodaOrg/joda-time) licensed under [Apache License 2.0](https://github.com/JodaOrg/joda-time/blob/master/LICENSE.txt)
- JUnit
    - [junit4](https://github.com/junit-team/junit4) licensed under [Eclipse Public License 1.0](https://github.com/junit-team/junit4/blob/main/LICENSE-junit.txt)
    - [junit5](https://github.com/junit-team/junit5) junit-jupiter-api, junit-jupiter-engine, junit-platform-runner, junit-platform-suite-api licensed under [Eclipse Public License 2.0](https://github.com/junit-team/junit5/blob/main/LICENSE.md)
- [log4j](https://github.com/apache/log4j) licensed under [Apache License 2.0](https://github.com/apache/log4j/blob/trunk/LICENSE)
- [logback](https://github.com/qos-ch/logback) licensed under the [Eclipse Public License v1.0](https://github.com/qos-ch/logback/blob/master/LICENSE.txt)
- [Mockito](https://github.com/mockito/mockito) mockito-core, mockito-inline, mockito-junit-jupiter licensed under [MIT License](https://github.com/mockito/mockito/blob/release/3.x/LICENSE)
- [Oracle NoSQL Database Community Edition](https://www.oracle.com/database/technologies/nosql-database-server-downloads.html) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [plexus-utils](https://github.com/codehaus-plexus/plexus-utils) licensed under [Apache License 2.0](https://search.maven.org/artifact/org.codehaus.plexus/plexus-utils/3.3.0/jar)
- [Quartz Scheduler](https://github.com/quartz-scheduler/quartz) licensed under [Apache License 2.0](https://github.com/quartz-scheduler/quartz/blob/master/docs/license.adoc)
- [slf4j](https://github.com/qos-ch/slf4j) slf4j-api licensed under [MIT License](https://github.com/qos-ch/slf4j/blob/master/LICENSE.txt)
- Spring
    - [spring-framework](https://github.com/spring-projects/spring-framework) spring-core, spring-beans, spring-context, spring-web, spring-webmvc, spring-tx licensed under [Apache License 2.0](https://github.com/spring-projects/spring-framework/blob/master/LICENSE.txt)
    - [spring-boot](https://github.com/spring-projects/spring-boot) spring-boot-autoconfigure, spring-boot-starter-data-jpa, spring-boot-starter-security, spring-boot-starter-web licensed under [Apache License 2.0](https://github.com/spring-projects/spring-boot/blob/master/LICENSE.txt)
    - [spring-data-commons](https://github.com/spring-projects/spring-data-commons) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0.html)
    - [spring-data-jpa](https://github.com/spring-projects/spring-data-jpa) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0.html)
    - [spring-security](https://github.com/spring-projects/spring-security) spring-security-config, spring-security-core, spring-security-ldap, spring-security-web licensed under [Apache License 2.0](https://github.com/spring-projects/spring-security/blob/master/LICENSE.txt)
- [springfox](https://github.com/springfox/springfox) core, spi, spring-web, swagger-ui, swagger2 licensed under [Apache License 2.0](https://github.com/springfox/springfox/blob/master/LICENSE)
- [TestNG](https://github.com/cbeust/testng) licensed under [Apache License 2.0](https://github.com/cbeust/testng/blob/master/LICENSE.txt)

## [Apache Maven](https://github.com/apache/maven) plugins

- [apache-rat-plugin](https://github.com/apache/creadur-rat) licensed under [Apache License 2.0](https://github.com/apache/creadur-rat/blob/master/LICENSE)
- [dependency-check-maven](https://github.com/jeremylong/DependencyCheck) licensed under [Apache License 2.0](https://github.com/jeremylong/DependencyCheck/blob/master/LICENSE.txt)
- [dockerfile-maven-plugin](https://github.com/spotify/dockerfile-maven) licensed under [Apache License 2.0](https://github.com/spotify/dockerfile-maven/blob/master/LICENSE)
- [download-maven-plugin](https://github.com/maven-download-plugin/maven-download-plugin) licensed under [Apache License 2.0](https://search.maven.org/artifact/com.googlecode.maven-download-plugin/download-maven-plugin/1.4.2/jar)
- [exec-maven-plugin](https://github.com/mojohaus/exec-maven-plugin) licensed under [Apache License 2.0](https://github.com/mojohaus/exec-maven-plugin)
- [frontend-maven-plugin](https://github.com/eirslett/frontend-maven-plugin) licensed under [Apache License 2.0](https://github.com/eirslett/frontend-maven-plugin/blob/master/LICENSE)
- [jacoco-maven-plugin](https://github.com/jacoco/jacoco) licensed under [Eclipse Public License Version 2.0](https://github.com/jacoco/jacoco/blob/master/LICENSE.md)
- [junit-jupiter-engine](https://github.com/junit-team/junit5) licensed under [Eclipse Public License v2.0](https://github.com/junit-team/junit5/blob/master/LICENSE.md)
- [maven-antrun-plugin](https://github.com/apache/maven-antrun-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-assembly-plugin](https://github.com/apache/maven-assembly-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-clean-plugin](https://github.com/apache/maven-clean-plugin) licensed under [Apache License 2.0](https://search.maven.org/artifact/org.apache.maven.plugins/maven-clean-plugin/3.1.0/maven-plugin)
- [maven-compiler-plugin](https://github.com/apache/maven-compiler-plugin/) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-dependency-plugin](https://github.com/apache/maven-dependency-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-deploy-plugin](https://github.com/apache/maven-deploy-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-enforcer-plugin](https://github.com/apache/maven-enforcer) licensed under [Apache License 2.0](https://github.com/apache/maven-enforcer/blob/master/LICENSE)
- [maven-gpg-plugin](https://github.com/apache/maven-gpg-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-install-plugin](https://github.com/apache/maven-install-plugin) licensed under [Apache License 2.0](https://github.com/apache/maven-install-plugin/blob/master/LICENSE)
- [maven-jar-plugin](https://github.com/apache/maven-jar-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-javadoc-plugin](https://github.com/apache/maven-javadoc-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-pmd-plugin](https://github.com/apache/maven-pmd-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-resources-plugin](https://github.com/apache/maven-resources-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-shade-plugin](https://github.com/apache/maven-shade-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-source-plugin](https://github.com/apache/maven-source-plugin) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [maven-surefire-plugin](https://github.com/apache/maven-surefire) licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [mockito-inline](https://github.com/mockito/mockito) licensed under [MIT License](https://github.com/mockito/mockito/blob/release/3.x/LICENSE) 
- [nexus-staging-maven-plugin](https://github.com/sonatype/nexus-maven-plugins/tree/master/staging/maven-plugin) licensed under [Eclipse Public License 1.0](https://mvnrepository.com/artifact/org.sonatype.plugins/nexus-staging-maven-plugin)
- [spotbugs-maven-plugin](https://github.com/spotbugs/spotbugs-maven-plugin) licensed under [Apache License 2.0](https://github.com/spotbugs/spotbugs-maven-plugin/blob/spotbugs/LICENSE)
- [spring-boot-maven-plugin](https://github.com/spring-projects/spring-boot/tree/master/spring-boot-project/spring-boot-tools/spring-boot-maven-plugin) licensed under [Apache License 2.0](https://github.com/spring-projects/spring-boot/blob/master/LICENSE.txt)

----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.
