<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project 2020. -->

# Why the DCO?

We have tried to make it as easy as possible to make contributions. 
This applies to how we handle the legal aspects of contribution.

We simply ask that when submitting a patch for review,
the developer must include a sign-off statement in the commit message.
This is the same approach that the
[Linux® Kernel community](http://elinux.org/Developer_Certificate_Of_Origin)
uses to manage code contributions.

Here is an example Signed-off-by line, which indicates that the submitter accepts the DCO:

```
Signed-off-by: John Doe <john.doe@hisdomain.com>
```

You can include this automatically when you commit a change
to your local git repository using

```bash
$ git commit -s
```

By signing your work, you are confirming that the origin of the content
makes it suitable to add to this project.  See
[Developer Certificate of Origin (DCO)](https://developercertificate.org/).


----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.