---
layout: homepage
css: style-sub.css
---
<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the Egeria project. -->

# Egeria - Open Metadata and Governance

Every week we hear of new tools, data platforms and opportunities for organizations to embrace advanced
digital technologies such as artificial intelligence.
Yet despite investment and the focus of smart people,
few organizations succeed in making wide and systematic use of their data.

Today's IT is at the heart of the problem.
Many tools and data platforms recognize the value of metadata,
but manage it in a siloed, proprietary way that assumes
they are the only technology employed by the organization.
The result is that knowledge is not shared between people that use different tool sets.

Egeria is an open source project dedicated to making metadata open and automatically exchanged between tools
and platforms, no matter which vendor they come from.

We believe in the **open metadata and governance manifesto**:

 * The maintenance of metadata must be automated to scale to the sheer volumes and variety of data involved in modern business.  Similarly the use of metadata should be used to drive the governance of data and create a business friendly logical interface to the data landscape.
 * The availability of metadata management must become ubiquitous in cloud platforms and large data platforms, such as Apache Hadoop so that the processing engines on these platforms can rely on its availability and build capability around it.
 * Metadata access must become open and remotely accessible so that tools from different vendors can work with metadata located on different platforms.  This implies unique identifiers for metadata elements, some level of standardization in the types and formats for metadata and standard interfaces for manipulating metadata.
 * Wherever possible, discovery and maintenance of metadata has to be an integral part of all tools that access, change and move information.

We also believe that code talks. 
Egeria provides an Apache-2.0 licensed platform to support vendors that sign up to the open metadata and governance
manifesto.

Figure 1 shows Egeria in action.   Today's organizations have their tools and technologies distributed across
multiple data centres and cloud providers.  These are shown as the green
clouds.  The Egeria Open Metadata and Governance (OMAG) Server Platform (blue rounded box) is deployed in
each location.   Each platform is then configured to run different
types of integration services that are tailored to support specific types
of tools (see orange circles).  The Egeria services also manage the exchange of
metadata between the platforms.

![Figure 1](images/egeria-distributed-operation.png#pagewidth)

The Egeria open metadata and governance technology provides an open metadata
type system, frameworks, connectors, APIs, event payloads and interchange protocols to enable tools,
engines and platforms to exchange metadata in order to get the best
value from data and tools for a wide range of use cases. 

## Eager to Get Started Now

Link to Egeria's [documentation](https://egeria-project.org/) for full details.


----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the Egeria project.
