/* SPDX-License-Identifier: Apache-2.0 */
/* Copyright Contributors to the ODPi Egeria project. */

/**
 * This package provides the implementation for the client-side connector that receives events
 * from the Asset Lineage OMAS's OutTopic.
 *
 * It includes the AssetLineageOutTopicClientConnector class, which handles the registration of event listeners
 * and processing of inbound events. The package also contains the AssetLineageOutTopicClientProvider class,
 * which serves as the connector provider for the AssetLineageOutTopicClientConnector.
 *
 * Together, these classes enable the receipt and handling of events on the Asset Lineage OMAS OutTopic.
 */
package org.odpi.openmetadata.accessservices.assetlineage.outtopic.connector;
