<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->


# MyProfileManagement Client

MyProfileManagement client supports the management of the calling user's
[personal profile](../../../docs/concepts/personal-profile.md)
and all of the information connected to it including:

 * [Personal roles](../../../docs/concepts/personal-roles.md) they are currently appointed
 * Assigned [actions (to dos)](../../../docs/concepts/to-do.md)
 * [Personal Messages](../../../docs/concepts/personal-message.md)
 * [Personal Notes](../../../docs/concepts/personal-notes.md)
 * [My Assets list](../../../docs/concepts/favorite-things-collection.md)
 * [My Projects list](../../../docs/concepts/favorite-things-collection.md)
 * [My Communities list](../../../docs/concepts/favorite-things-collection.md)
 * [My Useful Resource list](../../../docs/concepts/useful-resource.md)

The method supported by this client are grouped by interface as follows.

[**MyPersonalProfileInterface**](../../../community-profile-api/docs/interfaces/my-personal-profile-interface.md)
supports an individual working with their
[personal profile](../../../docs/concepts/personal-profile.md).

* [Retrieving my personal profile](retrieving-my-personal-profile-with-java.md)
* [Retrieving my karma points](retrieving-my-karma-points-with-java.md)
* [Retrieving my contact details](retrieving-my-contact-details-with-java.md)
* [Setting up my personal profile](setting-up-my-personal-profile-with-java.md)
* [Adding a new contact method to my profile](adding-a-new-contact-method-to-my-profile-with-java.md)
* [Removing a contact method from my profile](removing-a-contact-method-from-my-profile-with-java.md)
* [Removing my personal profile](removing-my-personal-profile-with-java.md)


[**MyRolesAndActionsInterface**](../../../community-profile-api/docs/interfaces/my-roles-and-actions-inteface.md)
enables an individual to retrieve a
list of the [roles](../../../docs/concepts/personal-roles.md) they are currently appointed to and any
attached [actions (to dos)](../../../docs/concepts/to-do.md).

* [Retrieving my personal roles](retrieving-my-personal-roles-with-java.md)
* [Retrieving my to dos](retrieving-my-to-dos-with-java.md)
* [Retrieving my to dos by role](retrieving-my-to-dos-by-role-with-java.md)





----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.