<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

# Tag

A tag is a descriptive name with optional description that can be
attached to resources such as personal profiles, personal messages, personal notes,
community forums and forum contributions, comments and communities.

The process of adding a tag to an object is called [tagging](../../../docs/concepts/attachments/tagging.md).

A tag can be public (visible to all users) or private (visible only to the user that created it).

## Working with tags 

* [Finding existing tags](../scenarios/finding-a-tag.md)
* [Accessing resources attached to a tag](../scenarios/accessing-tagged-resources.md)
* [Accessing my tags](../scenarios/accessing-my-tags.md)
* [Creating a tag](../scenarios/creating-a-tag.md)
* [Attaching a tag](../scenarios/attaching-a-tag.md)
* [Detaching my tag](../scenarios/detaching-my-tag.md)
* [Detaching a tag from a resource](../scenarios/detaching-a-tag.md)
* [Deleting my private tag](../scenarios/removing-my-tag.md)
* [Deleting public tags](../scenarios/removing-a-tag.md)




----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.