<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

# To Dos

A **to do** is a record of an action.  It includes details of the action to perform
and the time frame it needs to be completed for.

To dos are normally created as a result of a meeting, or a process, such as a
[discovery process](../../../../frameworks/open-discovery-framework/docs/discovery-service.md).

The requested action may be ad hoc in nature, or part of a stewardship
process that identified a specific action for an individual, or group of
individuals.

The creator of a to do is called the **originator**.
The person, or people assigned to complete the task are
called the **assigned resources**.  Assigned to dos are 
attached to one of their [roles](personal-roles.md) rather than
directly to their [personal profile](personal-profile.md).

Each to do has a priority and a status:
* **Open** - no work has started.
* **In Progress** - work is ongoing.
* **Waiting** - work is on hold, typically blocked.
* **Complete** -  Work is completed.
* **Abandoned** - No work will happen.


## Working with to dos

Below are the descriptions of how to use the Community Profile OMAS
to work with to dos.

* [Accessing my to dos](../scenarios/accessing-my-to-dos.md)
* [Creating a to do](../scenarios/creating-a-to-do.md)
* [Managing a to do](../scenarios/managing-a-to-do.md)


## Design information

* [ToDo Bean](../../community-profile-api/docs/beans/community-profile-beans-ToDo.md)
* [Open Metadata Type](https://egeria-project.org/types/1/0137-Actions)

----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.