<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

# Retrieving my personal profile

Every user accessing the open metadata ecosystem has a unique user identity (userId).
This identity is used for authentication, authorization and auditing of activity
related to open metadata and governance.

Optionally a user identity can be associated with a
[personal profile](../concepts/personal-profile.md).
This provides information about the user behind the userId
and aims to improve collaboration across the organization.

There are two mechanisms for retrieving your personal profile:

* [Retrieving your personal profile using Java](../../community-profile-client/docs/user/retrieving-my-personal-profile-with-java.md)
* [Retrieving your personal profile using the REST API](../../community-profile-server/docs/user/retrieving-my-personal-profile-with-rest.md)

## If you do not have a personal profile

An organization can choose to
[load personal profiles automatically](loading-personal-profiles.md)
Alternatively, it can be left to the individual to
[create their own personal profile](creating-my-personal-profile.md).


----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.