<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->


# Using the Data Engine OMAS

Below is the list of tasks supported by Data Engine OMAS.

#### [External Tool registration](register-external-tool.md)
Typically, the first action to take for an external tool is to register as an
[engine](https://egeria-project.org/concepts/software-capability/#engine).

#### [External Tool lookup](lookup-registration-tool.md)

#### [Create Schema Type](create-schema-types.md)

#### [Create Port Implementation with schema type](create-port-implementations.md)

#### [Create Process, with corresponding Port Implementations and Schema Types](create-processes.md)

#### [Add data flows to processes](add-data-flows.md)

#### [Delete Schema Type](delete-schema-types.md)

#### [Delete Port Implementation](delete-port-implementations.md)

#### [Delete Process](delete-processes.md)

#### [Create Database](create-databases.md) 

#### [Create Database Schema](create-database-schemas.md)

#### [Create Relational Tables](create-relational-tables.md) 

#### [Create Data Files](create-data-files.md)

#### [Delete Database](delete-databases.md)

#### [Delete Database Schema](delete-database-schemas.md)

#### [Delete Relational Tables](delete-relational-tables.md)

#### [Delete Data Files](delete-data-files.md)

#### [Delete Connections](delete-connections.md)

#### [Delete Endpoint](delete-endpoints.md)

#### [Create Topic](create-topics.md)

#### [Create EventType](create-event-types.md)

#### [Delete Topic](delete-topics.md)

#### [Delete EventType](delete-event-types.md)

#### [Find Entities](find-entities.md)

# Sample use case

[Initial load](initial-load-igc-data-stage.md) use case illustrates the integration between 
Data Engine OMAS and IBM's DataStage ETL tool.

----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.