<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

# Data Science Open Metadata Access Service (OMAS)

The Data Science OMAS provides APIs and events for tools and applications
focused on building all types of analytics models such as predictive models
and machine learning models.  It provides the ability to define the purpose
and requirements for a model, along with lineage and audit information relating
to the development and validation process associated with the model.

It also supports the packaging of the model into software components for consumption
by the [Software Developer OMAS](../software-developer), [Digital Architecture OMAS](../digital-architecture)
and [DevOps OMAS](../dev-ops) since the models ultimately provide the implementation of software
components that form part of the implementation of a [digital service](../digital-service).

* [Documentation](https://egeria-project.org/services/omas/data-science/overview)


## Design

The module structure for the Data Science OMAS is as follows:

* [data-science-client](data-science-client) supports the client library.
* [data-science-api](data-science-api) supports the common Java classes that are used both by the client and the server.
* [data-science-server](data-science-server) supports in implementation of the access service and its related event management.
* [data-science-spring](data-science-spring) supports the REST API using the [Spring](../../../developer-resources/Spring.md) libraries.


----
Return to the [access-services](..) module.

----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.

