<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

![InDev](../../../images/egeria-content-status-in-development.png#pagewidth)

# Design Model Open Metadata Access Service (OMAS)

The Design Model OMAS supports the management of design model intellectual
property that has either been provided as standard or created in a
software architecture and design modeling tool.

* [Documentation](https://egeria-project.org/services/omas/desing-model/overview)

## Design Information

The module structure for the Design Model OMAS is as follows:

* [design-model-client](design-model-client) supports the client library.
* [design-model-api](design-model-api) supports the common Java classes that are used both by the client and the server.
* [design-model-server](design-model-server) supports in implementation of the access service and its related event management.
* [design-model-spring](design-model-spring) supports the REST API using the [Spring](../../../developer-resources/Spring.md) libraries.


----
Return to the [access-services](..) module.

----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.

