<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

![InDevelopment](../../../images/egeria-content-status-in-development.png#pagewidth)

# Context Event Framework (EAF)

The Context Event Framework (CEF) enables the creation of governance services that manage significant events.
These events may be instantaneous, or cover an extended time period.  An event may be in the past, occurring now, or is something in the future that is being planned for.

Events are described in open metadata using [context events](https://egeria-project.org/concepts/context-event).  The context event provides an anchor point for information and activity around the event.  Services that use the event action framework are:

* Collecting and cataloguing data about the event.
* Managing metadata associated with the event.
* Sending and receiving notifications related to an event.
* Initiating other actions at specific moments in time that related to the event.

More information is available on Egeria's [documentation site](https://egeria-project.org/frameworks/cef/overview/).


----
Return to [frameworks](..).


----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.