/* SPDX-License-Identifier: Apache-2.0 */
/* Copyright Contributors to the ODPi Egeria project. */

package org.odpi.openmetadata.frameworks.openmetadata.mapper;

/**
 * SupplementaryPropertiesValidValues provides the valid values for managing the glossary terms that provide
 * additional business information for assets to help make them more findable.
 */
public class SupplementaryPropertiesValidValues
{
    /**
     * Supplementary Properties
     */
    public final static String QUALIFIED_NAME_POST_FIX = " Supplementary Properties";

    /**
     * Supplementary Properties Glossary
     */
    public final static String GLOSSARY_NAME = "Supplementary Properties Glossary";

    /**
     * supplementaryPropertiesGlossaryName
     */
    public final static String GLOSSARY_PARAMETER_NAME = "supplementaryPropertiesGlossaryName";

    /**
     * This glossary contains glossary terms containing the business-oriented descriptive names and related
     * properties for open metadata assets.
     */
    public final static String GLOSSARY_DESCRIPTION =
            "This glossary contains glossary terms containing the business-oriented descriptive names and related properties for " +
                    "open metadata assets.";


}
