<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the ODPi Egeria project. -->

# Owl Canonical Glossary model

The Owl Canonical Glossary model that provides the ability to create an Egeria Archive from a
Canonical Glossary defined using open standards like [Owl](https://www.w3.org/OWL/).   

A subset of open standard tags (Owl [RDF](https://www.w3.org/RDF/) and [skos](https://www.w3.org/2004/02/skos/)) can be used to define semantic information in a model.
These tags are rich enough to map to Egeria glossaries, categories and terms. A model defined using these tags, can be parsed by Egeria and an [Open Metadata Archive](../../../..) created.  

## How to write a Owl model that can be used to create an archive.

### Mappings of entities
![alt text](Owl%20RDF%20Canonical%20Glossary.png "Owl to Egeria Entity mapping")

### Mapping of relationships

| Model element    | Egeria                        | 
| ---------------- |:-----------------------------:| 
| [Rdfs:isDefinedBy](https://terms.tdwg.org/wiki/rdfs:isDefinedBy) | TermAnchor and CategoryAnchor |
| [Rdfs:domain](https://terms.tdwg.org/wiki/rdfs:domain)      | Spine attribute to spine object has-a  |
| [Rdfs:range](https://terms.tdwg.org/wiki/rdfs:range)       | TermAnchor and CategoryAnchor |
| [Rdfs:member](https://terms.tdwg.org/wiki/Property:rdfs:member)      | TermCategorization , CategoryHierarchy |
| [Rdfs:SubClassOf](https://terms.tdwg.org/wiki/rdfs:subClassOf)  | Spine object to spine object IsATypeOf |


 

Rdfs:isDefinedBy
TermAnchor and CategoryAnchor
Rdfs:domain
Spine attribute to spine object has-a 
Rdfs:range
Spine attribute to spine object related term
Rdfs:member
TermCategorization , CategoryHierarchy
Rdfs:SubClassOf
Spine object to spine object IsATypeOfRelationship

###  
We have provided [a sample jsonld file](../../src/test/resources/EgeriaSampleOntology.json), that can be used to familiarise yourself with the tags to use and how the model elements relate to each other.

----
License: [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/),
Copyright Contributors to the ODPi Egeria project.